<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.gyee.frame.mapper.ticket.WorkticketMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.gyee.frame.model.ticket.Workticket">
        <id column="ID" property="id" />
        <result column="WONUM" property="wonum" />
        <result column="STATION" property="station" />
        <result column="WTICKETTYPE" property="wtickettype" />
        <result column="PRINCIPAL" property="principal" />
        <result column="DEPTGROUP" property="deptgroup" />
        <result column="FINALTYPE" property="finaltype" />
        <result column="STARTDATE" property="startdate" />
        <result column="ENDDATE" property="enddate" />
        <result column="WORKTASK" property="worktask" />
        <result column="WORKADDRESS" property="workaddress" />
        <result column="STOPLINENAME" property="stoplinename" />
        <result column="RUNDEPT" property="rundept" />
        <result column="CONSDEPT" property="consdept" />
        <result column="SIGNATORY" property="signatory" />
        <result column="TKCHAMBER" property="tkchamber" />
        <result column="REMARK1" property="remark1" />
        <result column="INCEPTDATE" property="inceptdate" />
        <result column="INCEPTMAN" property="inceptman" />
        <result column="YORN" property="yorn" />
        <result column="ADJUSTORADD" property="adjustoradd" />
        <result column="ADJUSTUSER" property="adjustuser" />
        <result column="PRESERVING" property="preserving" />
        <result column="REMARK2" property="remark2" />
        <result column="FIATQUOMODO" property="fiatquomodo" />
        <result column="FIATDATE" property="fiatdate" />
        <result column="FIATUSER1" property="fiatuser1" />
        <result column="PRINCIPAL1" property="principal1" />
        <result column="REMARK3" property="remark3" />
        <result column="PROJECT" property="project" />
        <result column="PRINCIPAL2" property="principal2" />
        <result column="FIATUSER2" property="fiatuser2" />
        <result column="SIGNATORY1" property="signatory1" />
        <result column="CHANGEDATE" property="changedate" />
        <result column="PRINCIPAL3" property="principal3" />
        <result column="NEWPRINCIPAL" property="newprincipal" />
        <result column="FIATUSER3" property="fiatuser3" />
        <result column="NEWDATE" property="newdate" />
        <result column="PRINCIPAL4" property="principal4" />
        <result column="INCEPTMAN1" property="inceptman1" />
        <result column="FINALTIME" property="finaltime" />
        <result column="PRINCIPAL5" property="principal5" />
        <result column="FIATUSER4" property="fiatuser4" />
        <result column="LINENUM" property="linenum" />
        <result column="STATUS" property="status" />
        <result column="STATUSDATE" property="statusdate" />
        <result column="EQNUM" property="eqnum" />
        <result column="LOCATION" property="location" />
        <result column="SECYORN" property="secyorn" />
        <result column="OUTYORN" property="outyorn" />
        <result column="SAFEYORN" property="safeyorn" />
        <result column="SITENUM" property="sitenum" />
        <result column="CORPNUM" property="corpnum" />
        <result column="EQNUMDIS" property="eqnumdis" />
        <result column="LOCATIONDIS" property="locationdis" />
        <result column="WORKDEPT" property="workdept" />
        <result column="SIGNDATE" property="signdate" />
        <result column="MEMBERCHANGE" property="memberchange" />
        <result column="UNLINENAME" property="unlinename" />
        <result column="UNLINECOUNT" property="unlinecount" />
        <result column="SWITCHCOUNT" property="switchcount" />
        <result column="BAFFLECOUNT" property="bafflecount" />
        <result column="FIATUSER5" property="fiatuser5" />
        <result column="TICKETFINALTIME" property="ticketfinaltime" />
        <result column="SUBNUM" property="subnum" />
        <result column="SUBPRINCIPAL" property="subprincipal" />
        <result column="FINALTYPE1" property="finaltype1" />
        <result column="FINALTIME1" property="finaltime1" />
        <result column="PRINCIPAL6" property="principal6" />
        <result column="FIATUSER6" property="fiatuser6" />
        <result column="FIATDATE1" property="fiatdate1" />
        <result column="FIATUSER7" property="fiatuser7" />
        <result column="SAFETY" property="safety" />
        <result column="PRINCIPAL7" property="principal7" />
        <result column="WORKLINE" property="workline" />
        <result column="EQUI" property="equi" />
        <result column="SAFENOTICE" property="safenotice" />
        <result column="SEQUENCE" property="sequence" />
        <result column="STANTICKETTYPE" property="stantickettype" />
        <result column="STLITICKETTYPE" property="stlitickettype" />
        <result column="INITIALUSER" property="initialuser" />
        <result column="INITIALUSERDEPT" property="initialuserdept" />
        <result column="WORKUSER" property="workuser" />
        <result column="TICKETNUM" property="ticketnum" />
        <result column="ADDPEOPLE" property="addpeople" />
        <result column="ADDTIME" property="addtime" />
        <result column="AWAYPEOPLE" property="awaypeople" />
        <result column="AWAYTIME" property="awaytime" />
        <result column="WORKSTEERPEOPLE" property="worksteerpeople" />
        <result column="WORKADDPEOPLE" property="workaddpeople" />
        <result column="STOPSCOPE" property="stopscope" />
        <result column="COUNTERSIGNDATE" property="countersigndate" />
        <result column="COUNTERSIGNPERSON" property="countersignperson" />
        <result column="CHECKDATE" property="checkdate" />
        <result column="CHECKPERSON" property="checkperson" />
        <result column="CHECKQUESTION" property="checkquestion" />
        <result column="REMARK4" property="remark4" />
        <result column="CHECKSTATE" property="checkstate" />
        <result column="STARTWORKTIME" property="startworktime" />
        <result column="ENDWORKTIME" property="endworktime" />
        <result column="PRINCIPAL8" property="principal8" />
        <result column="BUGNUM" property="bugnum" />
        <result column="WORKAREA" property="workarea" />
        <result column="FIREPRINCIPAL" property="fireprincipal" />
        <result column="FIRELOCATION" property="firelocation" />
        <result column="SURVEYLOCATION" property="surveylocation" />
        <result column="CONTENTS" property="contents" />
        <result column="INSTRUMENT" property="instrument" />
        <result column="SURVEYPERSON" property="surveyperson" />
        <result column="SURVEYTIME" property="surveytime" />
        <result column="APPLYFIRESTARTTIME" property="applyfirestarttime" />
        <result column="APPLYFIREENDTIME" property="applyfireendtime" />
        <result column="LEADERSHIP" property="leadership" />
        <result column="SAFEPRINCIPAL" property="safeprincipal" />
        <result column="FIREFIGHTINGPERSON" property="firefightingperson" />
        <result column="SHIFTFOREMAN" property="shiftforeman" />
        <result column="FIREOPERATOR" property="fireoperator" />
        <result column="FIREPERMITTIME" property="firepermittime" />
        <result column="FIREENDTIME" property="fireendtime" />
        <result column="DEPTGROUP1" property="deptgroup1" />
        <result column="FIREWORKCONTENT" property="fireworkcontent" />
        <result column="FIATUSER8" property="fiatuser8" />
        <result column="GUARDIAN" property="guardian" />
        <result column="GUARDIAN1" property="guardian1" />
        <result column="GUARDIAN2" property="guardian2" />
        <result column="FIREOPERATOR1" property="fireoperator1" />
        <result column="SHIFTFOREMAN1" property="shiftforeman1" />
        <result column="DESCRIPTION" property="description" />
        <result column="EQUNAME" property="equname" />
        <result column="BARNAME" property="barname" />
        <result column="BARNAME1" property="barname1" />
        <result column="LINEADDDATE" property="lineadddate" />
        <result column="LINEENDDATE" property="lineenddate" />
        <result column="LINEAGREEMODE" property="lineagreemode" />
        <result column="LINEAGEEPEOPLE" property="lineageepeople" />
        <result column="LINEAGEEPEOPLE2" property="lineageepeople2" />
        <result column="LINEBEGINDATE" property="linebegindate" />
        <result column="LINEREPORTMODE" property="linereportmode" />
        <result column="LINEAGEEPEOPLE4" property="lineageepeople4" />
        <result column="LINEAGEEPEOPLE3" property="lineageepeople3" />
        <result column="LINEREPOPTMODE" property="linerepoptmode" />
        <result column="EQUIPMENT" property="equipment" />
        <result column="SBMS" property="sbms" />
        <result column="EQNAME" property="eqname" />
        <result column="FIATUSER" property="fiatuser" />
        <result column="INCEPTMAN2" property="inceptman2" />
        <result column="LEADERSHIP1" property="leadership1" />
        <result column="SAFEPRINCIPAL1" property="safeprincipal1" />
        <result column="FIREFIGHTPERSON1" property="firefightperson1" />
        <result column="WTNUM" property="wtnum" />
        <result column="WORKREPORT" property="workreport" />
        <result column="SAFEMEASURE" property="safemeasure" />
        <result column="ADDSAFEMEASURE" property="addsafemeasure" />
        <result column="PRINCIPALDATE" property="principaldate" />
        <result column="FIATUSERDATE" property="fiatuserdate" />
        <result column="GWNUM" property="gwnum" />
        <result column="ISEND" property="isend" />
        <result column="WSPEED" property="wspeed" />
        <result column="COMPLETION" property="completion" />
        <result column="RELINECOUNT" property="relinecount" />
        <result column="UNSWITCHCOUNT" property="unswitchcount" />
        <result column="RESWITCHCOUNT" property="reswitchcount" />
        <result column="FIREMODE" property="firemode" />
        <result column="FIREOPERATORNUM" property="fireoperatornum" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        ID, WONUM, STATION, WTICKETTYPE, PRINCIPAL, DEPTGROUP, FINALTYPE, STARTDATE, ENDDATE, WORKTASK, WORKADDRESS, STOPLINENAME, RUNDEPT, CONSDEPT, SIGNATORY, TKCHAMBER, REMARK1, INCEPTDATE, INCEPTMAN, YORN, ADJUSTORADD, ADJUSTUSER, PRESERVING, REMARK2, FIATQUOMODO, FIATDATE, FIATUSER1, PRINCIPAL1, REMARK3, PROJECT, PRINCIPAL2, FIATUSER2, SIGNATORY1, CHANGEDATE, PRINCIPAL3, NEWPRINCIPAL, FIATUSER3, NEWDATE, PRINCIPAL4, INCEPTMAN1, FINALTIME, PRINCIPAL5, FIATUSER4, LINENUM, STATUS, STATUSDATE, EQNUM, LOCATION, SECYORN, OUTYORN, SAFEYORN, SITENUM, CORPNUM, EQNUMDIS, LOCATIONDIS, WORKDEPT, SIGNDATE, MEMBERCHANGE, UNLINENAME, UNLINECOUNT, SWITCHCOUNT, BAFFLECOUNT, FIATUSER5, TICKETFINALTIME, SUBNUM, SUBPRINCIPAL, FINALTYPE1, FINALTIME1, PRINCIPAL6, FIATUSER6, FIATDATE1, FIATUSER7, SAFETY, PRINCIPAL7, WORKLINE, EQUI, SAFENOTICE, SEQUENCE, STANTICKETTYPE, STLITICKETTYPE, INITIALUSER, INITIALUSERDEPT, WORKUSER, TICKETNUM, ADDPEOPLE, ADDTIME, AWAYPEOPLE, AWAYTIME, WORKSTEERPEOPLE, WORKADDPEOPLE, STOPSCOPE, COUNTERSIGNDATE, COUNTERSIGNPERSON, CHECKDATE, CHECKPERSON, CHECKQUESTION, REMARK4, CHECKSTATE, STARTWORKTIME, ENDWORKTIME, PRINCIPAL8, BUGNUM, WORKAREA, FIREPRINCIPAL, FIRELOCATION, SURVEYLOCATION, CONTENTS, INSTRUMENT, SURVEYPERSON, SURVEYTIME, APPLYFIRESTARTTIME, APPLYFIREENDTIME, LEADERSHIP, SAFEPRINCIPAL, FIREFIGHTINGPERSON, SHIFTFOREMAN, FIREOPERATOR, FIREPERMITTIME, FIREENDTIME, DEPTGROUP1, FIREWORKCONTENT, FIATUSER8, GUARDIAN, GUARDIAN1, GUARDIAN2, FIREOPERATOR1, SHIFTFOREMAN1, DESCRIPTION, EQUNAME, BARNAME, BARNAME1, LINEADDDATE, LINEENDDATE, LINEAGREEMODE, LINEAGEEPEOPLE, LINEAGEEPEOPLE2, LINEBEGINDATE, LINEREPORTMODE, LINEAGEEPEOPLE4, LINEAGEEPEOPLE3, LINEREPOPTMODE, EQUIPMENT, SBMS, EQNAME, FIATUSER, INCEPTMAN2, LEADERSHIP1, SAFEPRINCIPAL1, FIREFIGHTPERSON1, WTNUM, WORKREPORT, SAFEMEASURE, ADDSAFEMEASURE, PRINCIPALDATE, FIATUSERDATE, GWNUM, ISEND, WSPEED, COMPLETION, RELINECOUNT, UNSWITCHCOUNT, RESWITCHCOUNT, FIREMODE, FIREOPERATORNUM
    </sql>

    <select id="getCount" resultType="Integer">
        select count(*) from WORKTICKET;
    </select>
</mapper>
